using System.ComponentModel;

namespace SWRIS.Models.ViewModel
{
    public class TwoRopesViewModel : RopeViewBaseModel
    {
        private EquipmentDataModel firstEquipmentData;
        private EquipmentDataModel secondEquipmentData;
       
        public EquipmentModel FirstEquipment { get; set; }
        public EquipmentModel SecondEquipment { get; set; }
        public EquipmentDataModel FirstEquipmentData
        {
            get => firstEquipmentData;
            set
            {
                if (firstEquipmentData != value)
                {
                    firstEquipmentData = value;
                    OnPropertyChanged(nameof(FirstEquipmentData));
                }
            }
        }
        public EquipmentDataModel SecondEquipmentData
        {
            get => secondEquipmentData;
            set
            {
                if (secondEquipmentData != value)
                {
                    secondEquipmentData = value;
                    OnPropertyChanged(nameof(SecondEquipmentData));
                }
            }
        }
    }
}
